/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * Travel information.
 */
@ApiModel(description = "Travel information.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model195 {
  @SerializedName("journeys")
  private Model193 journeys = null;

  @SerializedName("cost")
  private BigDecimal cost = null;

  @SerializedName("destination_area")
  private String destinationArea = null;

  @SerializedName("travelers")
  private Model194 travelers = null;

  @SerializedName("start_date")
  private String startDate = null;

  @SerializedName("end_date")
  private String endDate = null;

  @SerializedName("booking_date")
  private String bookingDate = null;

  public Model195 journeys(Model193 journeys) {
    this.journeys = journeys;
    return this;
  }

   /**
   * Get journeys
   * @return journeys
  **/
  @ApiModelProperty(value = "")
  public Model193 getJourneys() {
    return journeys;
  }

  public void setJourneys(Model193 journeys) {
    this.journeys = journeys;
  }

  public Model195 cost(BigDecimal cost) {
    this.cost = cost;
    return this;
  }

   /**
   * Total amount of the travel cost, numeric with 2 decimals.
   * @return cost
  **/
  @ApiModelProperty(example = "1500.52", value = "Total amount of the travel cost, numeric with 2 decimals.")
  public BigDecimal getCost() {
    return cost;
  }

  public void setCost(BigDecimal cost) {
    this.cost = cost;
  }

  public Model195 destinationArea(String destinationArea) {
    this.destinationArea = destinationArea;
    return this;
  }

   /**
   * Global destination area. For example FRANCE, EUROPE, WORLDWIDE EXCLUDING USA &amp; CANADA, WORLDWIDE INCLUDING USA &amp; CANADA.
   * @return destinationArea
  **/
  @ApiModelProperty(value = "Global destination area. For example FRANCE, EUROPE, WORLDWIDE EXCLUDING USA & CANADA, WORLDWIDE INCLUDING USA & CANADA.")
  public String getDestinationArea() {
    return destinationArea;
  }

  public void setDestinationArea(String destinationArea) {
    this.destinationArea = destinationArea;
  }

  public Model195 travelers(Model194 travelers) {
    this.travelers = travelers;
    return this;
  }

   /**
   * Get travelers
   * @return travelers
  **/
  @ApiModelProperty(value = "")
  public Model194 getTravelers() {
    return travelers;
  }

  public void setTravelers(Model194 travelers) {
    this.travelers = travelers;
  }

  public Model195 startDate(String startDate) {
    this.startDate = startDate;
    return this;
  }

   /**
   * Start date of the travel or coverage (in case of multi-trip). ISO 8601 format (YYYY-MM-DD).
   * @return startDate
  **/
  @ApiModelProperty(required = true, value = "Start date of the travel or coverage (in case of multi-trip). ISO 8601 format (YYYY-MM-DD).")
  public String getStartDate() {
    return startDate;
  }

  public void setStartDate(String startDate) {
    this.startDate = startDate;
  }

  public Model195 endDate(String endDate) {
    this.endDate = endDate;
    return this;
  }

   /**
   * End date of the travel or coverage (in case of multi-trip). ISO 8601 format (YYYY-MM-DD).
   * @return endDate
  **/
  @ApiModelProperty(value = "End date of the travel or coverage (in case of multi-trip). ISO 8601 format (YYYY-MM-DD).")
  public String getEndDate() {
    return endDate;
  }

  public void setEndDate(String endDate) {
    this.endDate = endDate;
  }

  public Model195 bookingDate(String bookingDate) {
    this.bookingDate = bookingDate;
    return this;
  }

   /**
   * Travel booking date. ISO 8601 format (YYYY-MM-DD).
   * @return bookingDate
  **/
  @ApiModelProperty(value = "Travel booking date. ISO 8601 format (YYYY-MM-DD).")
  public String getBookingDate() {
    return bookingDate;
  }

  public void setBookingDate(String bookingDate) {
    this.bookingDate = bookingDate;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model195 model195 = (Model195) o;
    return Objects.equals(this.journeys, model195.journeys) &&
        Objects.equals(this.cost, model195.cost) &&
        Objects.equals(this.destinationArea, model195.destinationArea) &&
        Objects.equals(this.travelers, model195.travelers) &&
        Objects.equals(this.startDate, model195.startDate) &&
        Objects.equals(this.endDate, model195.endDate) &&
        Objects.equals(this.bookingDate, model195.bookingDate);
  }

  @Override
  public int hashCode() {
    return Objects.hash(journeys, cost, destinationArea, travelers, startDate, endDate, bookingDate);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model195 {\n");
    
    sb.append("    journeys: ").append(toIndentedString(journeys)).append("\n");
    sb.append("    cost: ").append(toIndentedString(cost)).append("\n");
    sb.append("    destinationArea: ").append(toIndentedString(destinationArea)).append("\n");
    sb.append("    travelers: ").append(toIndentedString(travelers)).append("\n");
    sb.append("    startDate: ").append(toIndentedString(startDate)).append("\n");
    sb.append("    endDate: ").append(toIndentedString(endDate)).append("\n");
    sb.append("    bookingDate: ").append(toIndentedString(bookingDate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

